#ifndef __GPSGUIVIEW_H__
#define __GPSGUIVIEW_H__


class CGPSGuiView : public CListView
{
protected: // create from serialization only
	CGPSGuiView();
	DECLARE_DYNCREATE(CGPSGuiView)

// Attributes
public:
	CGPSGuiDoc* GetDocument();

	//{{AFX_VIRTUAL(CGPSGuiView)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	virtual void OnInitialUpdate();
	//}}AFX_VIRTUAL

public:
	virtual ~CGPSGuiView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:
	afx_msg void OnContextMenu(CWnd*, CPoint point);
	//{{AFX_MSG(CGPSGuiView)
	afx_msg void OnFileProperties();
	afx_msg void OnUpdateFileProperties(CCmdUI* pCmdUI);
	afx_msg void OnFileRename();
	afx_msg void OnUpdateFileRename(CCmdUI* pCmdUI);
	afx_msg void OnViewDetails();
	afx_msg void OnUpdateViewDetails(CCmdUI* pCmdUI);
	afx_msg void OnViewLargeicons();
	afx_msg void OnUpdateViewLargeicons(CCmdUI* pCmdUI);
	afx_msg void OnViewList();
	afx_msg void OnUpdateViewList(CCmdUI* pCmdUI);
	afx_msg void OnViewSmalllicons();
	afx_msg void OnUpdateViewSmalllicons(CCmdUI* pCmdUI);
	afx_msg void OnFileOpen();
	afx_msg void OnUpdateFileOpen(CCmdUI* pCmdUI);
	afx_msg void OnDblclk(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnFileDelete();
	afx_msg void OnUpdateFileDelete(CCmdUI* pCmdUI);
	afx_msg void OnBeginlabeledit(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnEndlabeledit(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnEditInvertselection();
	afx_msg void OnEditSelectAll();
	afx_msg void OnPopupSetasdefault();
	afx_msg void OnUpdatePopupSetasdefault(CCmdUI* pCmdUI);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

  int GetCurSel();
  void RefreshDeviceList();
  int GetSelectedCount();
  BOOL IsWizardSelected();
  BOOL IsSelected(int nIndex);
  void SelectItem(int nIndex);
  void UnselectItem(int nIndex);

  CImageList m_SmallImageList;
  CImageList m_BigImageList;
};

#ifndef _DEBUG  // debug version in GPSGuiView.cpp
inline CGPSGuiDoc* CGPSGuiView::GetDocument()
   { return (CGPSGuiDoc*)m_pDocument; }
#endif


#endif //__GPSGUIVIEW_H__
