/*
Module : SERPORT.H
Purpose: Simple MFC class to support access to GPS receivers via serial ports
         Please note this is not a generic serial port class
Created: PJN / 28-12-1997
History: None

Copyright (c) 1997 by PJ Naughter.  
All rights reserved.

*/

#ifndef __SERPORT_H__
#define __SERPORT_H__


////////////////////////// Includes //////////////////////////////////////
#include <gps.h>


////////////////////////// Classes ///////////////////////////////////////

class CGpsSerialPort : public CObject
{
public:
//constructors / Destructors
  CGpsSerialPort();
  ~CGpsSerialPort();

//methods
  BOOL Open(LPCGPSDEVINFO lpDevInfo);
  void Close();
  DWORD Read(LPBYTE psBuffer, UINT nBytes) const;

protected:
  HANDLE m_hPort;
};


#endif //__SERPORT_H__